# Module `menubar`

### Info:

- Copyright: 2011-2012 Alexander Yakushev
- Release: v3.5.4
- Author: Alexander Yakushev <yakushev.alex@gmail.com>

## Functions

refresh () | Refresh menubar's cache by reloading .desktop files.
show (scr) | Show the menubar on the given screen.
hide () | Hide the menubar.
get () | Get a menubar wibox.

## Tables

Menubar | List of menubar keybindings: "Left" | "C-j" select an item on the left "Right" | "C-k" select an item on the right "Backspace" exit the current category if we are in any "Escape" exit the current directory or exit menubar "Home" select the first item "End" select the last "Return" execute the entry "C-Return" execute the command with awful.util.spawn "C-M-Return" execute the command in a terminal
geometry | Specifies the geometry of the menubar.
prompt_args | Allows user to specify custom parameters for prompt.run function (like colors).

## Fields

cache_entries | When true the .desktop files will be reparsed only when the extension is initialized.
show_categories | When true the categories will be shown alongside application entries.

## Functions

refresh ()
  Refresh menubar's cache by reloading .desktop files.
show (scr)
  Show the menubar on the given screen.

  ### Parameters:

  - scr Screen number.
hide ()
  Hide the menubar.
get ()
  Get a menubar wibox.

  ### Returns:

  menubar wibox.

## Tables

Menubar
  List of menubar keybindings:

  - "Left" | "C-j" select an item on the left
  - "Right" | "C-k" select an item on the right
  - "Backspace" exit the current category if we are in any
  - "Escape" exit the current directory or exit menubar
  - "Home" select the first item
  - "End" select the last
  - "Return" execute the entry
  - "C-Return" execute the command with awful.util.spawn
  - "C-M-Return" execute the command in a terminal
geometry
  Specifies the geometry of the menubar. This is a table with the keys x, y, width and height. Missing values are replaced via the screen's geometry. However, missing height is replaced by the font size.

  ### Fields:

  - width
  - height
  - x
  - y
prompt_args
  Allows user to specify custom parameters for prompt.run function (like colors).

## Fields

cache_entries
  When true the .desktop files will be reparsed only when the extension is initialized. Use this if menubar takes much time to open.
show_categories
  When true the categories will be shown alongside application entries.

generated by LDoc 1.4.2